Home...
L.I.A.M. Home...
What's New...
Downloads...
Donate Now...
Contact...
Known Bugs...
Links...
Link to me...
Tools...
Page last updated:
13.06.2013
The latest version of L.I.A.M. is 1.2.4. Download L.I.A.M. 1.2.4 Now!

Running Windows Vista? mscomctl.ocx does not always seem to register manually too well in this OS. So, I've uploaded the installable version of LIAM2. Once you've installed LIAM2 once, you will not need to do so until you've uninstalled it, as it will register the files needed to use the map. Meaning, you can download the normal versions from this point on... I've not done a lot of work with the automatic uninstall for LIAM2, so until i do, 1.2.3 will be the only version with an install package.

Download it here (currently 1.2.3, if you install this you can download 1.2.4 and it'll run propperly anyway...)!

New to 1.2.3:
  • This is a forced release of L.I.A.M., as such the things I was working on are not complete. However, there are a few annoyance fixes.
  • Script error line 27 or 28 missing '}' not an issue anymore. this was annoying as hell though...

  • Guild update sometimes caused L.I.A.M. to crash. Not an issue anymore.

For those of you who didn't know you can update guilds in L.I.A.M., click Set Destination, MORE, Update Guilds. If you click the second 'more' button, you will see an incomplete section of this version. It will be comleted in L.I.A.M. 1.2.4.


Stuff you might need for L.I.A.M.
    note: shdocvw.dll was previously referenced incorrectly, link is now valid.

  • MSCOMCTL.OCX: Microsoft Common Controls 6 (SP4). This file is not required by Windows, and may not be on all computers. It is however required by L.I.A.M.. To avoid the installation of this resource, save it directly to your L.I.A.M. directory.
    Error reported:
    Error 399, Component 'mscomctl.ocx' or one of its depenencies is not correctly registered: a file is missing or invalid.
  • SHDOCWV.DLL: This is a Windows resource that SHOULD be present on all of your computers. I've included it because some people have manually deleted this file in a desperate attempt to remove Internet Explorer from their computer. This file is required to run L.I.A.M., but you do NOT have to install it to use it, just save it to your L.I.A.M. directory, and it should work fine.
PS: I'm not sure if the use of these files can make L.I.A.M. run propperly under a Windows emulator on Mac or Linux. If someone tries it and gets it working, please let me know (see the contact page for information on contacting me).